### Class

# Meta CursorTracker

#### Description [src]

    final class Meta.CursorTracker : GObject.Object
    {
      /* No available fields */
    }

Mutter cursor tracking helper. Originally only tracking the cursor image, now more of a “core pointer abstraction”.

#### Ancestors

- GObject

#### Functions

###### meta_cursor_tracker_get_for_display

Retrieves the cursor tracker object for `display`.

#### Instance methods

###### meta_cursor_tracker_get_hot

Get the hotspot of the current cursor sprite.

###### meta_cursor_tracker_get_pointer

Get the current pointer position and state.

###### meta_cursor_tracker_get_pointer_visible

No description available.

###### meta_cursor_tracker_get_scale

Get the scale factor of the cursor sprite.

###### meta_cursor_tracker_get_sprite

Get the `CoglTexture` of the cursor sprite.

###### meta_cursor_tracker_set_pointer_visible

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Meta.CursorTracker:backend

No description available.

#### Signals

###### Meta.CursorTracker::cursor-changed

No description available.

###### Meta.CursorTracker::position-invalidated

No description available.

###### Meta.CursorTracker::visibility-changed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MetaCursorTrackerClass {
      /* no available fields */
    }

No description available.